/*
 * Copyright (C) MX4J.
 * All rights reserved.
 *
 * This software is distributed under the terms of the MX4J License version 1.0.
 * See the terms of the MX4J License in the documentation provided with this software.
 */

package mx4j.tools.connector;

/**
 * Interface to be implemented by all client-side JMX connectors.
 *
 * @author <a href="mailto:biorn_steedom@users.sourceforge.net">Simone Bordet</a>
 * @version $Revision: 1.1 $
 */
public interface JMXConnector
{
   /**
    * Closes this connector
    */
	public void close();

   /**
    * Returns an object representing a remote MBeanServer
    */
	public RemoteMBeanServer getRemoteMBeanServer();
}
