/*
 * Copyright (C) MX4J.
 * All rights reserved.
 *
 * This software is distributed under the terms of the MX4J License version 1.0.
 * See the terms of the MX4J License in the documentation provided with this software.
 */

package mx4j.tools.naming;

import java.rmi.RemoteException;
import java.rmi.NoSuchObjectException;

/**
 * Management interface for the NamingService MBean.
 * @author <a href="mailto:biorn_steedom@users.sourceforge.net">Simone Bordet</a>
 * @version $Revision: 1.4 $
 */
public interface NamingServiceMBean
{
   /**
    * Sets the port on which rmiregistry listens for incoming connections.
    * @see #getPort
    */
   public void setPort(int port);

   /**
    * Returns the port on which rmiregistry listens for incoming connections
    * @see #setPort
    */
   public int getPort();

   /**
    * Returns whether this MBean has been started and not yet stopped.
    * @see #start
    */
   public boolean isRunning();

   /**
    * Starts this MBean: rmiregistry can now accept incoming calls
    * @see #stop
    * @see #isRunning
    */
   public void start() throws RemoteException;

   /**
    * Stops this MBean: rmiregistry cannot accept anymore incoming calls
    * @see #start
    */
   public void stop() throws NoSuchObjectException;
}
